\chapter{Before you start}
\label{ch:Before you start}
The aim of this book is to give an "insight into maths" to every kind of reader: while providing extensive explanations, it aims to make the reader feel at ease with the topics treated, in order to reach as many people as possible. So, although some chapters may seem difficult to understand or even impossible to read, the reader is encouraged to carry on: the gain at the end will overcome the pain at the start.\\
P.S. remember this is not an engineering book where numbers have the great part of the pages. If the reader is looking for a book about wonders, magician and fantastic creatures in super-spaces, please, buy 10 copies of this book and spread the word.\\
Thanks,\\
the author.

\section{A note on notations (cit.)}
\label{sec:A note on notations (cit.)}
Basic mathematical notation is employed in this book and the reader should be familiar with the following symbols:
\begin{itemize}
\item $\mathbb{N}, \mathbb{Z}, \mathbb{Q}, \mathbb{R}, \mathbb{C}$: respectively \cite{Natural_Number_Wikipedia}, \cite{Integer_Wikipedia}, \cite{Rational_Number_Wikipedia}, \cite{Real_Number_Wikipedia}, \cite{Complex_Number_Wikipedia}, sets of numbers
\item $[x]$: round off $x$ to nearest integer
\item $\lfloor x \rfloor := \text{max } n | n \le x \wedge n \in \mathbb{N}$, floor function
\item $\lceil x \rceil := \text{min } n | n \ge x \wedge n \in \mathbb{N}$, ceil function
\item $\overline{\mathcal{X}}$: arithmetic mean (average) of the objects $\in \mathcal{X}$
\item $\sim$: \cite{Asymptote_Wikipedia}
\item $\cong$: congruent, same area
\item $\equiv, \mod$: congruent, modulus. In modular arithmetic $a \equiv \mod b = c \iff$ the remainder of the division $\frac{b}{a} = c$.
\item $|$: divides; e.g $a | b \iff a \equiv 0 \mod b$. In different contexts it means "such that"; e.g $a | a^2 > 20$
\item $\ldots \in ],[$: parenthesis like that are used to indicate whether or not the interval extremes are considered; e.g $][, ]], [[, []$ respectively mean they consider only none, the upper, the lower, both extremes of the interval
\item $\iff$: "if and only if". $A \iff B$ means that $A$ implies $B$ and vice versa
\item $\bigcap$: \cite{Intersection_Wikipedia}.
\item $\triangle$: triangle built linking the following three points; e.g $\triangle ABC$. In different context it represents the discriminant of an equation
\item $\circ$: circle, circumference built on the following points; e.g $\circ ABC$ is the circumference passing through the points $A,B$ and $C$
\item $\lg (x) = \log_2 (k), \ln (x) = \log_{e} (x), \log(x) = \log_10 (x)$
\item $x!$: factorial function $= x \cdot (x-1) \cdot (x-2) \cdot \ldots \cdot 1$
\item $x!!$: double-factorial function. Defined for all odd integers $x = 2k -1, x!! = \prod \limits_{i=1} ^k (2i-1) = \frac{(2k)!}{2^k\cdot k!}$ 
\item $\Gamma(x)$: $=(x-1)!$, \cite{Gamma_Function_Wikipedia}
\item $\binom{a}{b}$: $\frac{a!}{b! \cdot (a-b)!}$ that is binomial of \textbf{a} over \textbf{b}. It express the number of ways you can order \textbf{b} different objects in \textbf{a} places. And many extra stuff.
\item $\mathcal{H}_n$: $=\sum\limits_{k=1} ^n \frac{1}{k} = 1 + \frac{1}{2} + \frac{1}{3} + \frac{1}{4} + \ldots + \frac{1}{n} , n$-th \hyperref[sec:Harmonic table]{harmonic number}
\item $\sigma(k)$: \cite{Divisor_Function_Wikipedia}
\item \textbf{AM, GM, QM, CM, HM, PM}: respectively \cite{Arithmetic_Mean_Wikipedia}, \cite{Geometric_Mean_Wikipedia}, \cite{Root_Mean_Square_Wikipedia}, \cite{Cubic_Mean_Wikipedia}, \cite{Harmonic_Mean_Wikipedia}, \cite{Generalized_Mean_Wikipedia}, mean of a set of numbers
\item \textbf{exactly}: no less and no more
\item \textbf{closed-form} \cite{Closed_Form_Expression_Wikipedia}
\item \textbf{side-cases}: simple and easy to be found cases. \textbf{Hint:} try with $0,1,2, -1,-2 ..$
\item \textbf{non-ordered/ordered partitions}: partitions in which the order objects are partitioned (shared, divided) doesn't/does matter.\\
  e.g. 
  \begin{itemize}
  \item a single non-ordered partition: $1 2 3 = 1 3 2 = 2 1 3 \ldots$ \\
  \item 3 different ordered partitions: $1 2 3 \neq 1 3 2 \neq 2 1 3 \ldots$
  \end{itemize}
\item \textbf{QED}: \cite{QED._Wikipedia}, \cite{Eureka_Wikipedia}
\item $cost.$: when performing indefinite integral the result is only defined up to an additive constant, \cite{Constant_Of_Integration_Wikipedia}
\item \textit{LHS}, \textit{RHS}: left hand side, right hand side of an equation; e.g $1+1 = 2$, \textit{LHS} = ${1+1}$, \textit{RHS} = ${2}$
\end{itemize}

\section{Useful constants}
\label{sec:Useful constants}
There are many constants to thank, but most of all these ones make you live:
\begin{itemize}
  \item $\pi \approx 3.141592653589793238462643383279502884197169399375\ldots$ \cite{Pi_Wikipedia} has always made fun of, laughed at, caused marvels among, deceived, tempted, been tried to figure out by mathematicians, and after years of deceivement it keeps amazing everyone by these simple identities.
$$
\begin{aligned}
&\boxed{\pi = \lim_{n \to +\infty} \frac{2^{4n} \cdot (n!)^4}{n\cdot(2n!)^2}}\\
&\boxed{\pi = \sum\limits_{n=0}^{+\infty} \frac{1}{16^n} \left( \frac{4}{8n+1} -\frac{2}{8n+4} - \frac{1}{8n+5} -\frac{1}{8n+6} \right)}\\
&\boxed{\pi = \lim_{n \to +\infty} \frac{1}{n \cdot \left( \frac{(2n)!}{2^{2n} \cdot n!^2} \right) ^2} = \frac{2^{4n} \cdot n!^4}{n \cdot (2n)!^2}}\\
&\boxed{\pi = 2 \cdot \frac{2}{\sqrt{2}} \cdot \frac{2}{\sqrt{2 + \sqrt{2}}} + \frac{2}{\sqrt{2 + \sqrt{2 + \sqrt{2}}}} + \ldots}\\
&\boxed{\pi = 2 \cdot \frac{2 \cdot 2 \cdot 4 \cdot 4 \cdot 6 \cdot 6}{3 \cdot 3 \cdot 5 \cdot 5 \cdot 7 \cdot 7}  \ldots}\\
&\boxed{\pi = \left( \int\limits_{-\infty} ^ {+\infty} {e^{-x^2} \diff x} \right) ^2}\\
\end{aligned}
$$
The second one is particularly interesting because the n-th term contains $16^{-n}$ and thus the n-th digit of $\pi$ (base hexadecimal) can ve found easily. There is also a well-written poem in french to remember the digits of $\pi$:\\
\begin{center}
Que j'aime à faire apprendre ce nombre utile aux sages !\\
Immortel Archimède, artiste ingénieur,\\
Qui de ton jugement peut priser la valeur ?\\
Pour moi, ton problème eut de pareils avantages.\\
Jadis, mystérieux, un problème bloquait\\
Tout l'admirable procédé, l'œuvre grandiose\\
Que Pythagore découvrit aux anciens Grecs.\\
0 quadrature ! Vieux tourment du philosophe\\
Insoluble rondeur, trop longtemps vous avez \\
Défié Pythagore et ses imitateurs.\\
Comment intégrer l'espace plan circulaire ?\\
Former un triangle auquel il équivaudra ?\\
Nouvelle invention : Archimède inscrira\\
Dedans un hexagone ; appréciera son aire \\
Fonction du rayon. Pas trop ne s'y tiendra :\\
Dédoublera chaque élément antérieur ;\\
Toujours de l'orbe calculée approchera ;\\
Définira limite ; enfin, l'arc, le limiteur\\
De cet inquiétant cercle, ennemi trop rebelle\\
Professeur, enseignez son problème avec zèle
\end{center}
\item $e \approx 2.718281828459045235360287471352662497757247093699\ldots$, see \cite{Napier_Number}. There are various definitions of $e$:
$$\boxed {e = \sum_{n=0}^\infty {1\over n!} = \lim_{n \to \infty} { \left(1 + {1 \over n}\right)^n } = \int_0^\infty \frac1{\lfloor x\rfloor!} \diff x}$$
\item $\gamma \approx 0.57721566490153286060651209008240243104215933593992\ldots$, see \cite{Euler_Mascheroni_Constant}
\item $\phi \approx 1.61803398874989484820458683436563811772030917980576\ldots$, see \cite{Golden_Ratio_Wikipedia}
\item $\lambda \approx 1.30357726903429639125709911215255189073070250465940\ldots$, see \cite{Conway_Constant_From_Wolfram_Mathworld}
\item $g$ $\approx \left(9.8061999 - 0.0259296 \cos (2 \phi ) + 0.0000567 \cos ^2 (2 \phi)\right) \frac{m}{s^2}$ at latitude $\phi$, see \cite{Gravity_Of_Earth_Wikipedia} 
\end{itemize}
